package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceTopicEntity;
/**
* 设备topic查询对象
*
* @author zxfei
* @date 2021-11-22
*/
public class DeviceTopicQuery extends DeviceTopicEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 用户ID */
    private Long customerIdStart;

    /** 结束 用户ID */
    private Long customerIdEnd;

    /** 增加 用户ID */
    private Long customerIdIncrement;

    /** 用户ID列表 */
    private List <Long> customerIdList;

    /** 开始 产品 */
    private Long productIdStart;

    /** 结束 产品 */
    private Long productIdEnd;

    /** 增加 产品 */
    private Long productIdIncrement;

    /** 产品列表 */
    private List <Long> productIdList;

    /** 平台为产品颁发的全局唯一标识符 */
    private List<String> productKeyList;

    /** 开始 设备ID */
    private Long deviceIdStart;

    /** 结束 设备ID */
    private Long deviceIdEnd;

    /** 增加 设备ID */
    private Long deviceIdIncrement;

    /** 设备ID列表 */
    private List <Long> deviceIdList;

    /** 设备名称 */
    private List<String> deviceNameList;

    /** 开始 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。 */
    private Integer deviceTopicHandleStart;

    /** 结束 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。 */
    private Integer deviceTopicHandleEnd;

    /** 增加 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。 */
    private Integer deviceTopicHandleIncrement;

    /** 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。列表 */
    private List <Integer> deviceTopicHandleList;

    /** 设备的具体是topic信息，根据产品topic信息生产 */
    private List<String> topicList;

    /** 描述 */
    private List<String> deviceTopicRemarkList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceTopicQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceTopicQuery> andConditionList;

    public DeviceTopicQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 用户ID
    * @return customerIdStart
    */
    public Long getCustomerIdStart(){
        return this.customerIdStart;
    }

    /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public void setCustomerIdStart(Long customerIdStart){
        this.customerIdStart = customerIdStart;
    }

    /**
    * 获取 结束 用户ID
    * @return $customerIdEnd
    */
    public Long getCustomerIdEnd(){
        return this.customerIdEnd;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public void setCustomerIdEnd(Long customerIdEnd){
        this.customerIdEnd = customerIdEnd;
    }

    /**
    * 获取 增加 用户ID
    * @return customerIdIncrement
    */
    public Long getCustomerIdIncrement(){
        return this.customerIdIncrement;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public void setCustomerIdIncrement(Long customerIdIncrement){
        this.customerIdIncrement = customerIdIncrement;
    }

    /**
    * 获取 用户ID
    * @return customerIdList
    */
    public List<Long> getCustomerIdList(){
        return this.customerIdList;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public void setCustomerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
    }

    /**
    * 获取 开始 产品
    * @return productIdStart
    */
    public Long getProductIdStart(){
        return this.productIdStart;
    }

    /**
    * 设置 开始 产品
    * @param productIdStart
    */
    public void setProductIdStart(Long productIdStart){
        this.productIdStart = productIdStart;
    }

    /**
    * 获取 结束 产品
    * @return $productIdEnd
    */
    public Long getProductIdEnd(){
        return this.productIdEnd;
    }

    /**
    * 设置 结束 产品
    * @param productIdEnd
    */
    public void setProductIdEnd(Long productIdEnd){
        this.productIdEnd = productIdEnd;
    }

    /**
    * 获取 增加 产品
    * @return productIdIncrement
    */
    public Long getProductIdIncrement(){
        return this.productIdIncrement;
    }

    /**
    * 设置 增加 产品
    * @param productIdIncrement
    */
    public void setProductIdIncrement(Long productIdIncrement){
        this.productIdIncrement = productIdIncrement;
    }

    /**
    * 获取 产品
    * @return productIdList
    */
    public List<Long> getProductIdList(){
        return this.productIdList;
    }

    /**
    * 设置 产品
    * @param productIdList
    */
    public void setProductIdList(List<Long> productIdList){
        this.productIdList = productIdList;
    }

    /**
    * 获取 平台为产品颁发的全局唯一标识符
    * @return productKeyList
    */
    public List<String> getProductKeyList(){
        return this.productKeyList;
    }

    /**
    * 设置 平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public void setProductKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
    }
    /**
    * 获取 开始 设备ID
    * @return deviceIdStart
    */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
    * 设置 开始 设备ID
    * @param deviceIdStart
    */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
    * 获取 结束 设备ID
    * @return $deviceIdEnd
    */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
    * 设置 结束 设备ID
    * @param deviceIdEnd
    */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
    * 获取 增加 设备ID
    * @return deviceIdIncrement
    */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
    * 设置 增加 设备ID
    * @param deviceIdIncrement
    */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
    * 获取 设备ID
    * @return deviceIdList
    */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
    * 设置 设备ID
    * @param deviceIdList
    */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
    * 获取 设备名称
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }
    /**
    * 获取 开始 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @return deviceTopicHandleStart
    */
    public Integer getDeviceTopicHandleStart(){
        return this.deviceTopicHandleStart;
    }

    /**
    * 设置 开始 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleStart
    */
    public void setDeviceTopicHandleStart(Integer deviceTopicHandleStart){
        this.deviceTopicHandleStart = deviceTopicHandleStart;
    }

    /**
    * 获取 结束 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @return $deviceTopicHandleEnd
    */
    public Integer getDeviceTopicHandleEnd(){
        return this.deviceTopicHandleEnd;
    }

    /**
    * 设置 结束 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleEnd
    */
    public void setDeviceTopicHandleEnd(Integer deviceTopicHandleEnd){
        this.deviceTopicHandleEnd = deviceTopicHandleEnd;
    }

    /**
    * 获取 增加 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @return deviceTopicHandleIncrement
    */
    public Integer getDeviceTopicHandleIncrement(){
        return this.deviceTopicHandleIncrement;
    }

    /**
    * 设置 增加 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleIncrement
    */
    public void setDeviceTopicHandleIncrement(Integer deviceTopicHandleIncrement){
        this.deviceTopicHandleIncrement = deviceTopicHandleIncrement;
    }

    /**
    * 获取 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @return deviceTopicHandleList
    */
    public List<Integer> getDeviceTopicHandleList(){
        return this.deviceTopicHandleList;
    }

    /**
    * 设置 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleList
    */
    public void setDeviceTopicHandleList(List<Integer> deviceTopicHandleList){
        this.deviceTopicHandleList = deviceTopicHandleList;
    }

    /**
    * 获取 设备的具体是topic信息，根据产品topic信息生产
    * @return topicList
    */
    public List<String> getTopicList(){
        return this.topicList;
    }

    /**
    * 设置 设备的具体是topic信息，根据产品topic信息生产
    * @param topicList
    */
    public void setTopicList(List<String> topicList){
        this.topicList = topicList;
    }
    /**
    * 获取 描述
    * @return deviceTopicRemarkList
    */
    public List<String> getDeviceTopicRemarkList(){
        return this.deviceTopicRemarkList;
    }

    /**
    * 设置 描述
    * @param deviceTopicRemarkList
    */
    public void setDeviceTopicRemarkList(List<String> deviceTopicRemarkList){
        this.deviceTopicRemarkList = deviceTopicRemarkList;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public DeviceTopicQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public DeviceTopicQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public DeviceTopicQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public DeviceTopicQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public DeviceTopicQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  用户ID
    * @param customerId
    */
    public DeviceTopicQuery customerId(Long customerId){
	    setCustomerId(customerId);
		return this;
    }
	
	 /**
    * 设置 开始 用户ID
    * @param customerIdStart
    */
    public DeviceTopicQuery customerIdStart(Long customerIdStart){
		this.customerIdStart = customerIdStart;
		return this;
    }

    /**
    * 设置 结束 用户ID
    * @param customerIdEnd
    */
    public DeviceTopicQuery customerIdEnd(Long customerIdEnd){
		this.customerIdEnd = customerIdEnd;
		return this;
    }

    /**
    * 设置 增加 用户ID
    * @param customerIdIncrement
    */
    public DeviceTopicQuery customerIdIncrement(Long customerIdIncrement){
		this.customerIdIncrement = customerIdIncrement;
		return this;
    }

    /**
    * 设置 用户ID
    * @param customerIdList
    */
    public DeviceTopicQuery customerIdList(List<Long> customerIdList){
        this.customerIdList = customerIdList;
		return this;
        }

    /**
    * 设置  产品
    * @param productId
    */
    public DeviceTopicQuery productId(Long productId){
	    setProductId(productId);
		return this;
    }
	
	 /**
    * 设置 开始 产品
    * @param productIdStart
    */
    public DeviceTopicQuery productIdStart(Long productIdStart){
		this.productIdStart = productIdStart;
		return this;
    }

    /**
    * 设置 结束 产品
    * @param productIdEnd
    */
    public DeviceTopicQuery productIdEnd(Long productIdEnd){
		this.productIdEnd = productIdEnd;
		return this;
    }

    /**
    * 设置 增加 产品
    * @param productIdIncrement
    */
    public DeviceTopicQuery productIdIncrement(Long productIdIncrement){
		this.productIdIncrement = productIdIncrement;
		return this;
    }

    /**
    * 设置 产品
    * @param productIdList
    */
    public DeviceTopicQuery productIdList(List<Long> productIdList){
        this.productIdList = productIdList;
		return this;
        }


	/**
    * 设置 平台为产品颁发的全局唯一标识符
    * @param productKey
    */
    public DeviceTopicQuery productKey(String productKey){
        setProductKey(productKey);
		return this;
    }

    /**
    * 设置 平台为产品颁发的全局唯一标识符
    * @param productKeyList
    */
    public DeviceTopicQuery productKeyList(List<String> productKeyList){
        this.productKeyList = productKeyList;
		return this;
    }

    /**
    * 设置  设备ID
    * @param deviceId
    */
    public DeviceTopicQuery deviceId(Long deviceId){
	    setDeviceId(deviceId);
		return this;
    }
	
	 /**
    * 设置 开始 设备ID
    * @param deviceIdStart
    */
    public DeviceTopicQuery deviceIdStart(Long deviceIdStart){
		this.deviceIdStart = deviceIdStart;
		return this;
    }

    /**
    * 设置 结束 设备ID
    * @param deviceIdEnd
    */
    public DeviceTopicQuery deviceIdEnd(Long deviceIdEnd){
		this.deviceIdEnd = deviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 设备ID
    * @param deviceIdIncrement
    */
    public DeviceTopicQuery deviceIdIncrement(Long deviceIdIncrement){
		this.deviceIdIncrement = deviceIdIncrement;
		return this;
    }

    /**
    * 设置 设备ID
    * @param deviceIdList
    */
    public DeviceTopicQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
		return this;
        }


	/**
    * 设置 设备名称
    * @param deviceName
    */
    public DeviceTopicQuery deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public DeviceTopicQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }

    /**
    * 设置  设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandle
    */
    public DeviceTopicQuery deviceTopicHandle(Integer deviceTopicHandle){
	    setDeviceTopicHandle(deviceTopicHandle);
		return this;
    }
	
	 /**
    * 设置 开始 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleStart
    */
    public DeviceTopicQuery deviceTopicHandleStart(Integer deviceTopicHandleStart){
		this.deviceTopicHandleStart = deviceTopicHandleStart;
		return this;
    }

    /**
    * 设置 结束 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleEnd
    */
    public DeviceTopicQuery deviceTopicHandleEnd(Integer deviceTopicHandleEnd){
		this.deviceTopicHandleEnd = deviceTopicHandleEnd;
		return this;
    }

    /**
    * 设置 增加 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleIncrement
    */
    public DeviceTopicQuery deviceTopicHandleIncrement(Integer deviceTopicHandleIncrement){
		this.deviceTopicHandleIncrement = deviceTopicHandleIncrement;
		return this;
    }

    /**
    * 设置 设备对该Topic的操作，可设置为发布、订阅、发布和订阅。
    * @param deviceTopicHandleList
    */
    public DeviceTopicQuery deviceTopicHandleList(List<Integer> deviceTopicHandleList){
        this.deviceTopicHandleList = deviceTopicHandleList;
		return this;
        }


	/**
    * 设置 设备的具体是topic信息，根据产品topic信息生产
    * @param topic
    */
    public DeviceTopicQuery topic(String topic){
        setTopic(topic);
		return this;
    }

    /**
    * 设置 设备的具体是topic信息，根据产品topic信息生产
    * @param topicList
    */
    public DeviceTopicQuery topicList(List<String> topicList){
        this.topicList = topicList;
		return this;
    }


	/**
    * 设置 描述
    * @param deviceTopicRemark
    */
    public DeviceTopicQuery deviceTopicRemark(String deviceTopicRemark){
        setDeviceTopicRemark(deviceTopicRemark);
		return this;
    }

    /**
    * 设置 描述
    * @param deviceTopicRemarkList
    */
    public DeviceTopicQuery deviceTopicRemarkList(List<String> deviceTopicRemarkList){
        this.deviceTopicRemarkList = deviceTopicRemarkList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DeviceTopicQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DeviceTopicQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DeviceTopicQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DeviceTopicQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DeviceTopicQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceTopicQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeviceTopicQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceTopicQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeviceTopicQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}